package com.yunzhi.demo.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.demo.entity.TaPerson;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yunzhi.demo.vo.StatisPerson;

/**
 * <p>
 * 人员 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
public interface ITaPersonService extends IService<TaPerson> {

    TaPerson getByOpenid(String openid);

    int countStudent();

    IPage<StatisPerson> getStudentStatis(IPage<StatisPerson> pg, String name, String schoolId, String specialtyId, String asc, String desc);
}
